Subject: Re: bug#36170: configure fails on FreeBSD

From: Mark H Weaver <[email-masked]>
Date: Tue, 11 Jun 2019 18:22:03 -0400

Hi Roger,

Roger Mason <[email-masked]> writes:

> I cloned the git repo yesterday (2019-06-10, most recent commit
> 8d469660525d74734f3184cb9ed01b6f2dcd0445).  I ran autogen.sh in the
> source directory.  I had to comment out the call to m4 --version, which
> failed (I have m4-1.4.18).  I created a build directory.  When I
> configure like this:
>
> ../guile/configure --with-bdw-gc=bdw-gc-threaded
>
> it works:
>
> ---snip---
> config.status: executing depfiles commands
> config.status: executing libtool commands
> config.status: executing po-directories commands
>
> When I configure like this:
>
> ../guile/configure --prefix="/home/rmason/32-bit-install" --with-bdw-gc=bdw-gc-threaded
>
> it fails to find various libraries & headers unless I list them
> explicitly in the invocation of configure like this:
>
> ../guile/configure --prefix=/home/rmason/32-bit-install \
> 		   --with-bdw-gc=bdw-gc-threaded \
> 		   --with-libltdl-prefix=/usr/local \
> 		   --with-libgmp-prefix=/usr/local \
> 		   --with-libunistring-prefix=/usr/local \
> 		   --with-libiconv-prefix=/usr/local
>
> Is that how it is supposed to work, or is there a bug in the build
> system?

I guess what's happening here is that ./configure automatically looks
for libraries in the prefix directory as specified by --prefix=DIR.
I don't have time right now to verify that guess.

> I note also that configure claims my readline library is too old (<
> 2.1), but I have:
>
> pkg info -x readline
> readline-7.0.5

Something went wrong here.  The relevant check involves compiling a
small test program that references 'rl_getc_function', which was
apparently added in readline 2.1.  Something must have gone wrong
compiling that test program.

After running ./configure, there should be a file 'config.log' which
includes the failed test program, the compile command used to compile
it, and the compiler error messages.  Can you search for 'readline' in
that file and see what went wrong?

      Thanks,
        Mark